For the complete documentation index, see llms.txt. This page is also available as Markdown.

PreviewRedeem

get

Simulates the amount of assets that would be received for redeeming shares.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account making the request
Query parameters
chainIdstringRequired
  • The blockchain network ID
addressstringRequired
  • The ERC4626 vault contract address
sharesstringRequired
  • The amount of shares to redeem
Header parameters
AuthorizationstringRequired
  • The authorization token
Responses
200

The API response

application/json

Interface representing the structure of the API response for ERC4626.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

dataanyOptional

Optional data returned by the API.

get
/erc4626/{account}/previewRedeem
200

The API response